+44 (0)191 257 4707 MyAccount Cart

Blog

Categories

Archives

Discontinuing support for old versions of Sage and Tradebox

Posted by Tradebox on June 17, 2013

With the forthcoming release of  Tradebox v5.7, support for older versions of Sage Accounts and Tradebox Finance Manager will be removed.

 

Sage Compatibility

 

Keeping inline with Sage’s own “end of life” policy, Tradebox v5.7 will see the removal of compatibility for all iterations of Sage 50 versions 12, 13 (2007) and 14 (2008). Tradebox will therefore only support the following versions of Sage Instant and Sage 50 Accounts:

 

  • v15 ( or v2009)
  • v16 (or v2010)
  • v17 (or v2011)
  • v18 (or 2012)
  • v19 (or 2013)
  • v20 (or 2014)* due for release in August 2013

 

 

Tradebox versions

 

At the same time, the release of Tradebox v5.7 will also see the removal of support for all versions of Tradebox prior to v5.4. After the new release the only supported versions of Tradebox will be:

 

  • v5.4
  • v5.5
  • v5.6
  • v5.7

 

The removal of the older versions of Tradebox is happening to allow support to be focused on a single user interface which changed with the release of v5.4. A video containing a full walkthrough of the new user interface introduced in v5.4 can be seen at http://youtu.be/wzij9f2aLxM (recommended 720 HD).

 

As always, any user can upgrade to the latest version of Tradebox, at any time, completely free of charge. Full instructions on how to download and install the latest version of Tradebox can be obtained from http://www.tradebox.uk.com/download.html.

 

The new version of Tradebox (v5.7) is due to be released in the next few months in parallel with the new release of Sage 50 Accounts 2014 (v20).